<template>
  <section id="second">
    <div class="wrapper">
      <div>
        <p>Ressentie</p>
        <p>{{ data.main.feels_like }}°</p>
      </div>
      <div>
        <p>Humidité</p>
        <p>{{ data.main.humidity }}%</p>
      </div>
      <div>
        <p>Vent <v-icon name="location-arrow" class="wind-icon"/></p>
        <p>{{ data.wind.speed }}km/h</p>
      </div>
      <div>
        <div>
          <v-icon name="sun"/>
          <p>{{ this.sunrise }}</p>
        </div>
        <div>
          <v-icon name="moon"/>
          <p>{{ this.sunset }}</p>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: 'Second',
  props: {
    data: {},
    sunrise: null,
    sunset: null,
  },
};
</script>

<style lang="scss">
#second {
  display: flex;
  flex-direction: column;
  margin-top: 2rem;

  .wrapper {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(5, 1fr);

    div {
      display: flex;
      align-items: center;
      width: 50%;
      padding: 0.5rem;
      margin: 0 auto;

      > :nth-child(2) {
        margin-left: auto;
      }

      .wind-icon {
        margin-left: 0.5rem;
        transform: rotate(-45deg);
      }

      div {
        display: flex;
        justify-content: center;

        > :nth-child(2) {
          margin-left: 10px;
        }
      }
    }
  }
}
</style>
